Subject: Re: bug#24857: emacs24/25 FTBFS since a long time on GNU/Hurd

From: Svante Signell <[email-masked]>
Date: Fri, 11 Nov 2016 12:33:25 +0100

On Fri, 2016-11-11 at 13:03 +0200, Eli Zaretskii wrote:
> > 
> > From: Svante Signell <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Fri, 11 Nov 2016 11:32:30 +0100
> > 
> > > 
> > > Also, do you understand how does libsystemd affect this?
> > No, I don't. But I know that GNU/Hurd has no support for anything systemd-
> > related at all. And the build with it enabled failed miserably.
> Evidently, you do have libsystemd on your machine, because the
> configure script detects its presence (by calling pkg-config), and
> also the link step of the build succeeds to link against libsystemd.
> What is the story here?

There is a dummy systemd development library installed, to enable build of some
packages:
ii  libsystemd-dev    222-1         hurd-i386     Dummy systemd utility library

This is a Debian construct.

#> dpkg -s libsystemd-dev
Package: libsystemd-dev
Status: install ok installed
Priority: extra
Section: oldlibs
Installed-Size: 27
Maintainer: Debian systemd Maintainers <[email-masked]
ian.org>
Architecture: hurd-i386
Source: libsystemd-dummy
Version: 222-1
Description: Dummy systemd utility library
 This package provides a dummy version of the libsystemd-dev
 package for the architectures which lack an implementation of the library.

#> dpkg -L libsystemd-dev
/.
/usr
/usr/include
/usr/include/systemd
/usr/include/systemd/sd-daemon.h
/usr/lib
/usr/lib/pkgconfig
/usr/lib/pkgconfig/libsystemd.pc
/usr/share
/usr/share/doc
/usr/share/doc/libsystemd-dev
/usr/share/doc/libsystemd-dev/copyright
/usr/share/doc/libsystemd-dev/changelog.Debian.gz
/usr/lib/pkgconfig/libsystemd-daemon.pc

Maybe you should have some better way of detecting libsystemd presence?
man pkg-config:
pkg-config retrieves information about packages from special metadata files.
These files are named after the package, and has a .pc extension.

On the GNU/Hurd system no libsystemd* library exist!

See above:
/usr/lib/pkgconfig/libsystemd.pc
/usr/lib/pkgconfig/libsystemd-daemon.pc

I don't really understand why a GNU project adds support for the systemd
disaster. Take a look at Guix, they chose another way out. Additionally we have
Devuan and their downstream releases.